############################################################
#
# lzma-sdk
#
#############################################################
LZMA_SDK_SITE=http://www.7-zip.org/dl
LZMA_SDK_SOURCE=lzma406.zip
LZMA_SDK_DIR:=$(BUILD_DIR)/lzma406
LZMA_SDK_UNZIP:=unzip

ZLIB_PATCH_SITE=http://wl500g.dyndns.org/lzma
ZLIB_PATCH=lzma-406-zlib-stream.patch

$(DL_DIR)/$(LZMA_SDK_SOURCE):
	 $(WGET) -P $(DL_DIR) $(LZMA_SDK_SITE)/$(LZMA_SDK_SOURCE)

$(DL_DIR)/$(ZLIB_PATCH):
	 $(WGET) -P $(DL_DIR) $(ZLIB_PATCH_SITE)/$(ZLIB_PATCH)

$(LZMA_SDK_DIR): $(DL_DIR)/$(LZMA_SDK_SOURCE) 
	mkdir -p $(LZMA_SDK_DIR)

$(LZMA_SDK_DIR)/.unpacked: $(LZMA_SDK_DIR)
	(cd $(LZMA_SDK_DIR) ; $(LZMA_SDK_UNZIP) $(DL_DIR)/$(LZMA_SDK_SOURCE) )
	touch $(LZMA_SDK_DIR)/.unpacked

$(LZMA_SDK_DIR)/.patched: $(DL_DIR)/$(ZLIB_PATCH) $(LZMA_SDK_DIR)/.unpacked
	( cd $(LZMA_SDK_DIR) ; cat $(DL_DIR)/$(ZLIB_PATCH) | patch -p1 )
	touch $(LZMA_SDK_DIR)/.patched

lzma-sdk: $(LZMA_SDK_DIR)/.patched

lzma-sdk-clean:

lzma-sdk-dirclean:

#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_LZMA_SDK)),y)
TARGETS+=lzma-sdk
endif
